export = Fission;
declare class Fission {
    static get displayName(): string;
    static get slug(): string;
    /**
     * @param {FissionOptions} options
     */
    constructor({ username, password }: FissionOptions);
    auth: {
        username: string;
        password: string;
    };
    /**
     * @param {string} dir
     * @param {PinDirOptions|undefined} options
     * @returns {Promise<string>}
     */
    pinDir(dir: string, { tag, hidden }?: PinDirOptions | undefined): Promise<string>;
    /**
     * @param {string} cid
     * @param {string|undefined} tag
     * @returns {Promise<void>}
     */
    pinCid(cid: string, tag: string | undefined): Promise<void>;
    /**
     * @param {string} cid
     * @returns string
     */
    gatewayUrl(cid: string): string;
    get displayName(): string;
}
declare namespace Fission {
    export { FissionOptions, PinDirOptions };
}
type PinDirOptions = import('./types').PinDirOptions;
type FissionOptions = import('./types').FissionOptions;
//# sourceMappingURL=fission.d.ts.map